# Method: accounts.regions.batchUpdate

- [HTTP request](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.regions/batchUpdate#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.regions/batchUpdate#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.regions/batchUpdate#body.request_body)
  - [JSON representation](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.regions/batchUpdate#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.regions/batchUpdate#body.response_body)
  - [JSON representation](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.regions/batchUpdate#body.BatchUpdateRegionsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.regions/batchUpdate#body.aspect)
- [UpdateRegionRequest](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.regions/batchUpdate#UpdateRegionRequest)
  - [JSON representation](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.regions/batchUpdate#UpdateRegionRequest.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.regions/batchUpdate#try-it)

Updates one or more regions in your Merchant Center account. Executing this method requires admin access.

### HTTP request

`POST https://merchantapi.googleapis.com/accounts/v1/{parent=accounts/*}/regions:batchUpdate`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The account to update one or more regions for. Format: `accounts/{account}` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requests": [ { object (`https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.regions/batchUpdate#UpdateRegionRequest`) } ] } ``` |

| Fields ||
|---|---|
| `requests[]` | ``object (`https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.regions/batchUpdate#UpdateRegionRequest`)`` Required. The region(s) to update. The maximum number of regions that can be updated in a batch is 100. |

### Response body

Response message for the `regions.batchUpdate` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "regions": [ { object (`https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.regions#Region`) } ] } ``` |

| Fields ||
|---|---|
| `regions[]` | ``object (`https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.regions#Region`)`` The updated region(s). |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## UpdateRegionRequest

Request message for the `regions.patch` method.

| JSON representation |
|---|
| ``` { "region": { object (`https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.regions#Region`) }, "updateMask": string } ``` |

| Fields ||
|---|---|
| `region` | ``object (`https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.regions#Region`)`` Required. The updated region. |
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Optional. The comma-separated field mask indicating the fields to update. Example: `"displayName,postalCodeArea.regionCode"`. |